Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Interface IORegisterConstants

All Known Subinterfaces:
  State

All Known Implementing Classes:
  AbstractState, BaseInterpreter, MutableState, Simulator, StateCache.State

public interface IORegisterConstants

The `IORegisterConstants` interface is used to centralize the numeric values of the IO registers of the AVR architecture.

Field Summary
`static int` | `ACSR`
`static int` | `ADCH`
`static int` | `ADCL`
`static int` | `ADCSRA`
`static int` | `ADMUX`
`static int` | `ASSR`
`static int` | `DDRA`
`static int` | `DDRB`
`static int` | `DDRC`
`static int` | `DDRD`
`static int` | `DDRE`
`static int` | `DDRF`
`static int` | `DDRG`
`static int` | `EEARH`
`static int` | `EEARL`
`static int` | `EECR`
`static int` | `EEDR`
`static int` | `EICRA`
`static int` | `EICRB`
`static int` | `EIFR`
`static int` | `EIMSK`
`static int` | `ETIFR`
`static int` | `ETIMSK`
`static int` | `ICR1H`
`static int` | `ICR1L`
`static int` | `ICR3H`
`static int` | `ICR3L`
`static int` | `MCUCR`
`static int` | `MCUCSR`
`static int` | `NUM_REGS`
`static int` | `OCDR`
`static int` | `OCR0`
`static int` | `OCR1AH`
`static int` | `OCR1AL`
`static int` | `OCR1BH`
`static int` | `OCR1BL`
`static int` | `OCR1CH`
`static int` | `OCR1CL`
`static int` | `OCR2`
`static int` | `OCR3AH`
`static int` | `OCR3AL`
`static int` | `OCR3BH`
`static int` | `OCR3BL`
`static int` | `OCR3CH`
`static int` | `OCR3CL`
`static int` | `OSCCAL`
`static int` | `PINA`
`static int` | `PINB`
`static int` | `PINC`
`static int` | `PIND`
`static int` | `PINE`
`static int` | `PINF`
`static int` | `PING`
`static int` | `PORTA`
`static int` | `PORTB`
`static int` | `PORTC`
`static int` | `PORTD`
`static int` | `PORTE`
`static int` | `PORTF`
`static int` | `PORTG`
`static int` | `RAMPZ`
`static int` | `SFIOR`
`static int` | `SPCR`
`static int` | `SPDR`
`static int` | `SPH`
`static int` | `SPL`
`static int` | `SPMCSR`
`static int` | `SPSR`
`static int` | `SREG`
`static int` | `SREG_C`
`static int` | `SREG_H`
`static int` | `SREG_I`
`static int` | `SREG_N`
`static int` | `SREG_S`
`static int` | `SREG_T`
`static int` | `SREG_V`
`static int` | `SREG_Z`
`static int` | `TCCR0`
`static int` | `TCCR1A`
`static int` | `TCCR1B`
`static int` | `TCCR1C`
`static int` | `TCCR2`
`static int` | `TCCR3A`
`static int` | `TCCR3B`
`static int` | `TCCR3C`
`static int` | `TCNT0`
`static int` | `TCNT1H`
`static int` | `TCNT1L`
`static int` | `TCNT2`
`static int` | `TCNT3H`
`static int` | `TCNT3L`
`static int` | `TIFR`
`static int` | `TIMSK`
`static int` | `TWAR`
`static int` | `TWBR`
`static int` | `TWCR`
`static int` | `TWDR`
`static int` | `TWSR`
`static int` | `UBRR0H`
`static int` | `UBRR0L`
`static int` | `UBRR1H`
`static int` | `UBRR1L`
`static int` | `UCSR0A`
`static int` | `UCSR0B`
`static int` | `UCSR0C`
`static int` | `UCSR1A`
`static int` | `UCSR1B`
`static int` | `UCSR1C`
`static int` | `UDR0`
`static int` | `UDR1`
`static int` | `WDTCR`
`static int` | `XDIV`
`static int` | `XMCRA`
`static int` | `XMCRB`

Field Detail

### UCSR1C

    public static final int UCSR1C

See Also:
  Constant Field Values

### UDR1

    public static final int UDR1

See Also:
  Constant Field Values

### UCSR1A

    public static final int UCSR1A

See Also:
  Constant Field Values

### UCSR1B

    public static final int UCSR1B

See Also:
  Constant Field Values

### UBRR1L

    public static final int UBRR1L

See Also:
  Constant Field Values

### UBRR1H

    public static final int UBRR1H

See Also:
  Constant Field Values

### UCSR0C

    public static final int UCSR0C

See Also:
  Constant Field Values

### UBRR0H

    public static final int UBRR0H

See Also:
  Constant Field Values

### TCCR3C

    public static final int TCCR3C

See Also:
  Constant Field Values

### TCCR3A

    public static final int TCCR3A

See Also:
  Constant Field Values

### TCCR3B

    public static final int TCCR3B

See Also:
  Constant Field Values

### TCNT3H

    public static final int TCNT3H

See Also:
  Constant Field Values

### TCNT3L

    public static final int TCNT3L

See Also:
  Constant Field Values

### OCR3AH

    public static final int OCR3AH

See Also:
  Constant Field Values

### OCR3AL

    public static final int OCR3AL

See Also:
  Constant Field Values

### OCR3BH

    public static final int OCR3BH

See Also:
  Constant Field Values

### OCR3BL

    public static final int OCR3BL

See Also:
  Constant Field Values

### OCR3CH

    public static final int OCR3CH

See Also:
  Constant Field Values

### OCR3CL

    public static final int OCR3CL

See Also:
  Constant Field Values

### ICR3H

    public static final int ICR3H

See Also:
  Constant Field Values

### ICR3L

    public static final int ICR3L

See Also:
  Constant Field Values

### ETIMSK

    public static final int ETIMSK

See Also:
  Constant Field Values

### ETIFR

    public static final int ETIFR

See Also:
  Constant Field Values

### TCCR1C

    public static final int TCCR1C

See Also:
  Constant Field Values

### OCR1CH

    public static final int OCR1CH

See Also:
  Constant Field Values

### OCR1CL

    public static final int OCR1CL

See Also:
  Constant Field Values

### TWCR

    public static final int TWCR

See Also:
  Constant Field Values

### TWDR

    public static final int TWDR

See Also:
  Constant Field Values

### TWAR

    public static final int TWAR

See Also:
  Constant Field Values

### TWSR

    public static final int TWSR

See Also:
  Constant Field Values

### TWBR

    public static final int TWBR

See Also:
  Constant Field Values

### OSCCAL

    public static final int OSCCAL

See Also:
  Constant Field Values

### XMCRA

    public static final int XMCRA

See Also:
  Constant Field Values

### XMCRB

    public static final int XMCRB

See Also:
  Constant Field Values

### EICRA

    public static final int EICRA

See Also:
  Constant Field Values

### SPMCSR

    public static final int SPMCSR

See Also:
  Constant Field Values

### PORTG

    public static final int PORTG

See Also:
  Constant Field Values

### DDRG

    public static final int DDRG

See Also:
  Constant Field Values

### PING

    public static final int PING

See Also:
  Constant Field Values

### PORTF

    public static final int PORTF

See Also:
  Constant Field Values

### DDRF

    public static final int DDRF

See Also:
  Constant Field Values

### SREG

    public static final int SREG

See Also:
  Constant Field Values

### SPH

    public static final int SPH

See Also:
  Constant Field Values

### SPL

    public static final int SPL

See Also:
  Constant Field Values

### XDIV

    public static final int XDIV

See Also:
  Constant Field Values

### RAMPZ

    public static final int RAMPZ

See Also:
  Constant Field Values

### EICRB

    public static final int EICRB

See Also:
  Constant Field Values

### EIMSK

    public static final int EIMSK

See Also:
  Constant Field Values

### EIFR

    public static final int EIFR

See Also:
  Constant Field Values

### TIMSK

    public static final int TIMSK

See Also:
  Constant Field Values

### TIFR

    public static final int TIFR

See Also:
  Constant Field Values

### MCUCR

    public static final int MCUCR

See Also:
  Constant Field Values

### MCUCSR

    public static final int MCUCSR

See Also:
  Constant Field Values

### TCCR0

    public static final int TCCR0

See Also:
  Constant Field Values

### TCNT0

    public static final int TCNT0

See Also:
  Constant Field Values

### OCR0

    public static final int OCR0

See Also:
  Constant Field Values

### ASSR

    public static final int ASSR

See Also:
  Constant Field Values

### TCCR1A

    public static final int TCCR1A

See Also:
  Constant Field Values

### TCCR1B

    public static final int TCCR1B

See Also:
  Constant Field Values

### TCNT1H

    public static final int TCNT1H

See Also:
  Constant Field Values

### TCNT1L

    public static final int TCNT1L

See Also:
  Constant Field Values

### OCR1AH

    public static final int OCR1AH

See Also:
  Constant Field Values

### OCR1AL

    public static final int OCR1AL

See Also:
  Constant Field Values

### OCR1BH

    public static final int OCR1BH

See Also:
  Constant Field Values

### OCR1BL

    public static final int OCR1BL

See Also:
  Constant Field Values

### ICR1H

    public static final int ICR1H

See Also:
  Constant Field Values

### ICR1L

    public static final int ICR1L

See Also:
  Constant Field Values

### TCCR2

    public static final int TCCR2

See Also:
  Constant Field Values

### TCNT2

    public static final int TCNT2

See Also:
  Constant Field Values

### OCR2

    public static final int OCR2

See Also:
  Constant Field Values

### OCDR

    public static final int OCDR

See Also:
  Constant Field Values

### WDTCR

    public static final int WDTCR

See Also:
  Constant Field Values

### SFIOR

    public static final int SFIOR

See Also:
  Constant Field Values

### EEARH

    public static final int EEARH

See Also:
  Constant Field Values

### EEARL

    public static final int EEARL

See Also:
  Constant Field Values

### EEDR

    public static final int EEDR

See Also:
  Constant Field Values

### EECR

    public static final int EECR

See Also:
  Constant Field Values

### PORTA

    public static final int PORTA

See Also:
  Constant Field Values

### DDRA

    public static final int DDRA

See Also:
  Constant Field Values

### PINA

    public static final int PINA

See Also:
  Constant Field Values

### PORTB

    public static final int PORTB

See Also:
  Constant Field Values

### DDRB

    public static final int DDRB

See Also:
  Constant Field Values

### PINB

    public static final int PINB

See Also:
  Constant Field Values

### PORTC

    public static final int PORTC

See Also:
  Constant Field Values

### DDRC

    public static final int DDRC

See Also:
  Constant Field Values

### PINC

    public static final int PINC

See Also:
  Constant Field Values

### PORTD

    public static final int PORTD

See Also:
  Constant Field Values

### DDRD

    public static final int DDRD

See Also:
  Constant Field Values

### PIND

    public static final int PIND

See Also:
  Constant Field Values

### SPDR

    public static final int SPDR

See Also:
  Constant Field Values

### SPSR

    public static final int SPSR

See Also:
  Constant Field Values

### SPCR

    public static final int SPCR

See Also:
  Constant Field Values

### UDR0

    public static final int UDR0

See Also:
  Constant Field Values

### UCSR0A

    public static final int UCSR0A

See Also:
  Constant Field Values

### UCSR0B

    public static final int UCSR0B

See Also:
  Constant Field Values

### UBRR0L

    public static final int UBRR0L

See Also:
  Constant Field Values

### ACSR

    public static final int ACSR

See Also:
  Constant Field Values

### ADMUX

    public static final int ADMUX

See Also:
  Constant Field Values

### ADCSRA

    public static final int ADCSRA

See Also:
  Constant Field Values

### ADCH

    public static final int ADCH

See Also:
  Constant Field Values

### ADCL

    public static final int ADCL

See Also:
  Constant Field Values

### PORTE

    public static final int PORTE

See Also:
  Constant Field Values

### DDRE

    public static final int DDRE

See Also:
  Constant Field Values

### PINE

    public static final int PINE

See Also:
  Constant Field Values

### PINF

    public static final int PINF

See Also:
  Constant Field Values

### SREG_I

    public static final int SREG_I

See Also:
  Constant Field Values

### SREG_T

    public static final int SREG_T

See Also:
  Constant Field Values

### SREG_H

    public static final int SREG_H

See Also:
  Constant Field Values

### SREG_S

    public static final int SREG_S

See Also:
  Constant Field Values

### SREG_V

    public static final int SREG_V

See Also:
  Constant Field Values

### SREG_N

    public static final int SREG_N

See Also:
  Constant Field Values

### SREG_Z

    public static final int SREG_Z

See Also:
  Constant Field Values

### SREG_C

    public static final int SREG_C

See Also:
  Constant Field Values

### NUM_REGS

    public static final int NUM_REGS

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD